/*
 * Copyright [2022] [https://www.baiduc.com]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.baiduc.com
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.baiduc.com
 */
package vip.xiaonuo.hr.modular.baseemployeeinfo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;
import vip.xiaonuo.hr.modular.baseemployeeinfo.entity.HrBaseEmployeeInfo;
import vip.xiaonuo.hr.modular.baseemployeeinfo.entity.vo.EoucationVo;
import vip.xiaonuo.hr.modular.baseemployeeinfo.entity.vo.PerNum;

import java.util.List;

/**
 * 人员明细Mapper接口
 *
 * @author 余
 * @date  2024/11/14 15:02
 **/
public interface HrBaseEmployeeInfoMapper extends BaseMapper<HrBaseEmployeeInfo> {
    List<EoucationVo> listByEoucation(String orgId);

    List<EoucationVo> listByDepart( String orgId);

    List<EoucationVo> listByDepartGender(String orgId);

    List<EoucationVo> listByDepartGenderEducationDis( String orgId);

    List<PerNum> birthDis(String orgId);

    List<PerNum> siLingDis(String orgId);

    List<PerNum> gongLingDis(String orgId);
}
