package vip.xiaonuo.money.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.sun.istack.NotNull;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 财务营业情况
 * </p>
 *
 * @author author
 * @since 2024-11-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("money_business")
public class MoneyBusiness implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id", position = 1)
    private String orgId;

    /**
     * 营业收入
     */
    @ApiModelProperty(value = "营业收入", position = 2)
    private String businessIncome;

    /**
     * 营业成本
     */
    @ApiModelProperty(value = "营业成本", position = 3)
    private String businessCost;

    /**
     * 净利润
     */
    @ApiModelProperty(value = "净利润", position = 4)
    private String profit;

    /**
     * 已交税金
     */
    @ApiModelProperty(value = "已交税金", position = 5)
    private String taxes;

    /**
     * 当前资金余额
     */
    @ApiModelProperty(value = "当前资金余额", position = 6)
    private String balance;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position = 7)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createTime;


    /**
     * 营业类型 0为单个公司 1为全部合营
     */
    @ApiModelProperty(value = "营业类型 0为单个公司 1为全部合营", position = 8)
    @NotNull
    private Integer type;

}
