package vip.xiaonuo.quality.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 质量管控生产预警
 * </p>
 *
 * @author author
 * @since 2024-12-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("quality_warning")
public class QualityWarning implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 产品名称
     */
    @ApiModelProperty(value = "产品名称", position =1)
    private String material;

    /**
     * 检测指标名称
     */
    @ApiModelProperty(value = "检测指标名称", position =2)
    private String checkIndexName;

    /**
     * 指标值
     */
    @ApiModelProperty(value = "指标值", position =3)
    private String indexValue;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id", position =4)
    private String orgId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position =5)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;


}
