package vip.xiaonuo.risk.controller;


import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.purchase.entity.vo.PurchasePriceVo;
import vip.xiaonuo.purchase.param.PurchasePriceParam;
import vip.xiaonuo.risk.entity.RiskSale;
import vip.xiaonuo.risk.param.RiskSaleParam;
import vip.xiaonuo.risk.service.IRiskSaleService;

import java.util.List;

/**
 * <p>
 * 风控销售回款 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-12-09
 */
@RestController
@Api(tags = "风控销售回款")
@ApiSupport(author = "wang", order = 1)
@Validated
public class RiskSaleController {

    @Autowired
    private IRiskSaleService saleService;

    @ApiOperationSupport(order = 1)
    @ApiOperation("销售回款")
    @PostMapping("/risk-sale/getList")
    public CommonResult<List<RiskSale>> getList(@RequestBody RiskSaleParam riskSaleParam) {
        return CommonResult.data(saleService.getList(riskSaleParam));
    }
}
