package vip.xiaonuo.sale.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 销售订单
 * </p>
 *
 * @author author
 * @since 2024-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sale_order")
public class SaleOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 销售订单号
     */
    @ApiModelProperty(value = "销售订单号", position =1)
    private String saleOrder;

    /**
     * 销售订单数量
     */
    @ApiModelProperty(value = "销售订单数量", position =2)
    private String saleNumber;

    /**
     * 订单金额
     */
    @ApiModelProperty(value = "订单金额", position =3)
    private String saleMoney;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position =4)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id", position =5)
    private String orgId;


}
